<?php

namespace App\Http\Controllers;


use App\AccountTransaction;
use App\Business;
use App\BusinessLocation;
use App\Contact;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Facades\DataTables;
use App\Utils\Stock;


class StockEntryController extends Controller
{
    //
    public function index(Request $request){
        //permission needed here
        $business_id = $request->session()->get('user.business_id');
        $user_id = $request->session()->get('user.id');
        // ['stockitems['product']','stock_entry_locations','user']
        $stock_entry = Stock::Entries($business_id);
        // print_r($stock_entry);
        // die();
        return view('stock_entries.stock_entries')
                ->with(
                    compact(
                        'stock_entry'
                    ));
           
    }

    public function view(Request $request, $id){
        // we need to set permission for allowed users 
        // who is allowed to use this method
        // this is background method used by ajax { get }
        $business_id = $request->session()->get('user.business_id');
        // ['stockitems['product']','stock_entry_locations','user']
        $stock_entry = Stock::Entries($business_id, $id)[0];
  
        // print_r($stock_entry->entry_location[0]->business_details);
        // die();
        return view('stock_entries.common.entry_details')
              ->with(
                 compact(
                     'stock_entry'
                 )
              );
    }
    
  
}