<?php

namespace App\Utils;

use App\StockEntry;
use App\StockItems;
use App\StockEntryItemLocations;
use App\StockEntryLocations;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;



class Stock extends Util
{


    public static function add_stock_entry_locations($data){
        DB::table('stock_entry_items')->insert($data);
    }

    public static function add_stock_entry_item_locations($data){
        return DB::Table('stock_entry_locations')->insertGetId($data);
    }
    
    public static function add_stock_entry_items($data){
        return DB::Table('stock_entry_items')->insertGetId($data);
    }

    
      /**
     *
     * @param  string  $business_id
     * @param  string  $id {entry id}
     * 
     */

    public static function entries($business_id, $id = ''){
        // here we take stock entry ids from business 
        $stock_l_id = StockEntryLocations::where('store_id', $business_id)->get();
        $stock_entry_ids = [];
        foreach($stock_l_id as $s_row){
           array_push($stock_entry_ids,$s_row->stock_entry_id);
        }
        // get stock entry from specific business
        if(strlen($id) > 0)
            $entries = \App\StockEntry::whereIn('id',$stock_entry_ids)->where('id', $id)->with(['stockitems','stock_entry_locations','user'])->get();  
        else
          $entries = \App\StockEntry::whereIn('id',$stock_entry_ids)->with(['stockitems','stock_entry_locations','user'])->get();
        return $entries;
    }
    
    

}