<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>LPO REPORT</title>
    <link rel="stylesheet" href="{{ asset('css/checked/bootstrap.min.css') }}" type="text/css"/>
    <style>
        @page {
            /*sheet-size: A4-L;*/
            /*margin: 1pt 4pt 3pt 4pt;*/
        }

        .clearfix:after {
            content: "";
            display: table;
            clear: both;
        }

        body {
            margin: 0 auto;
            color: #000000;
            background: #FFFFFF;
            font-family: "DejaVu Sans Mono";
            font-size: 11px;
            padding-left: 2%;
            padding-right: 2%;
        }

        body p {
            padding: 5px;
            text-indent: 8px;
            color: #000000;
            font-family: "Times New Roman Georgia";
            font-size: 9px;
        }

        .address strong {
            font-size: 10px;
            color: #bc1f27;
        }

        header {
            padding: 4px 0;
        }

        #logo img {
            width: 100px;
        }

        h1 {
            border-top: 1px solid #5D6975;
            border-bottom: 1px solid #5D6975;
            color: #000000;
            font-size: 1.5em;
            line-height: 16px;
            font-weight: normal;
            text-align: center;
            margin: 0 0 2px 0;
        }

        h4 {
            color: #000000;
            font-size: 12px;
            line-height: 12px;
            font-weight: normal;
            text-align: center;
            margin-bottom: 8px;
        }

        .table1 {
            width: 100%;
            border: 1px solid #000000;
            border-collapse: collapse;
            border-spacing: 0;
            margin-bottom: 4px;
        }

        .table1 td, .table1 th {
            border: 1px solid #000000;
            line-height: 16px;
            padding: 4px 5px;
            font-size: 12px;
        }

        .table1 tr th {
            background-color: #c3c3c3;
            font-size: 12px;
        }

        .table1 td {
            font-size: 10px;
        }

        .table1 tfoot tr {
            background: #d4d4d4;
            /*border: 1px solid #000000;*/
        }

        table tfoot tr:first-child td {
            border-top: 1px solid #000000;
        }

        /*table thead {*/
        /*border-top: 1px solid #5D6975;*/
        /*border-bottom: 1px solid #5D6975;*/
        /*}*/

        /*th {*/
        /*background-color: #eaeaea;*/
        /*text-align: center;*/
        /*border: 0.1mm solid #000000;*/
        /*font-size: 11px;*/
        /*}*/

        .footer_ {
            position: fixed;
            left: 0px;
            /*padding: 8px 0;*/
            text-align: center;
            bottom: 0px;
            right: 0px;
            height: 20px;
            color: #5D6975;
            width: 100%;
            border-top: 1px solid #C1CED9;
        }

        .table1 td.blanktotal {
            background-color: #FFFFFF;
            /*border: 0mm none #000000;*/
            border-top: 0mm none #000000;;
            border-bottom: 0mm none #000000;;
        }
    </style>
</head>
<body>
<table width="100%" border="0" style="border-collapse: collapse;">
    <tr>
        <td colspan="2" style="border: 0;text-align: center">
            <h3 style="font-size: 24px">{{ $purchase->business->name }} </h3>
            {{--            <address class="address" style="line-height: 16px">--}}
            {{--                {{$company->company_address}},<br> {{$company->city}}, Tanzania<br>--}}
            {{--                Mob: {{$company->compny_phone}} <br/>Email: {{$company->company_email}}--}}
            {{--            </address>--}}
            @if(!empty($purchase->location->city) || !empty($purchase->location->state) || !empty($purchase->location->country))
                {{implode(',', array_filter([$purchase->location->city, $purchase->location->country]))}}<br>
            @endif
            @if(!empty($purchase->location->mobile))
                @lang('contact.mobile'): {{$purchase->location->mobile}}, @lang('business.email')
                : {{$purchase->location->email}}<br>
            @endif
            @if(!empty($purchase->business->tax_number_1))
                {{$purchase->business->tax_label_1}}: {{$purchase->business->tax_number_1}},
            @endif
            @if(!empty($purchase->business->tax_number_2))
                {{$purchase->business->tax_label_2}}: {{$purchase->business->tax_number_2}} <br>
            @endif
        </td>
    </tr>
</table>

<header class="clearfix" style="padding-left: 30px;padding-right: 10px;">
    <h1 style="font-size: 18px;padding: 10px;">PURCHASE ORDER</h1>
</header>

<div>
    <table style="width:100%; margin-top: 10px;font-size: 14px">
        <tr>
            <td style="width: 65%;border-right: 1px dotted #000">
                <table style="width: 100%;font-family: Arial;">
                    <tr>
                        <td style=" border-right: 1px solid #000000;border-bottom: 1px solid #000000;
                        border-top: 1px solid #000000; font-weight: bold;">
                            Vendor
                        </td>
                        <td colspan="2" style="border-top: 1px solid #000000;"></td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <tr>
                        <td style="width: 15%;">Name</td>
                        <td style="border-bottom: 1px solid #000;width: 84%;font-weight: bold">{!! $purchase->contact->supplier_business_name !!}</td>
                        <td style="width: 1%;"></td>
                    </tr>
                    <tr>
                        <td>Address</td>
                        <td style="border-bottom: 1px solid #000;font-size: 10px"
                            rowspan="3">{!! $purchase->contact->contact_address !!}</td>
                        <td style="width: 1%;" rowspan="3"></td>
                    </tr>
                    <tr>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                    </tr>
                    <tr>
                        <td>TIN</td>
                        <td style="border-bottom: 1px solid #000;font-size: 10px">{!! $purchase->contact->tax_number !!}</td>
                        <td style="width: 1%;"></td>
                    </tr>
                    {{--                    <tr>--}}
                    {{--                        <td>VRN</td>--}}
                    {{--                        <td style="border-bottom: 1px solid #000;">{!! $purchase->contact !!}</td>--}}
                    {{--                        <td style="width: 1%;"></td>--}}
                    {{--                    </tr>--}}
                </table>
            </td>
            <td style="width: 35%;">
                <table style="width: 95%;font-family: Arial;border: 1px dotted #000;margin: 2%">
                    <tr>
                        <td>LPO :</td>
                        <td>{{ $purchase->ref_no }})</td>
                    </tr>

                    <tr>
                        <td>LPO DATE:</td>
                        <td>{{ @format_date($purchase->transaction_date) }}</td>
                    </tr>

                    <tr>
                        <td>REQ :</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>REQ DATE:</td>
                        <td></td>
                    </tr>

                </table>
            </td>
        </tr>
    </table>

    <br>
    <table class="table1">
        <thead>
        <tr>
            <th style="width: 3%">S/N</th>
            <th style="width: 20%">ITEM DESCRIPTION</th>
            <th style="border-left: 1px solid #5D6975;border-right: 1px solid #5D6975;width: 8% ">QUANTITY</th>
            <th style="width: 8%">PRICE</th>
            <th class="" style="width: 10%">TAX</th>
            <th class="no-print" style="width: 10%">UNIT COST <br> before Disc.</th>

            <th class="" style="width: 10%">DISCOUNT</th>

            <th class="no-print" style="width: 10%">UNIT COST</th>
            {{--            <th class="" style="width: 10%">@lang('purchase.unit_cost_after_tax')</th>--}}
            <th style="border-left: 1px solid #5D6975;border-right: 1px solid #5D6975;width: 10% ">SUBTOTAL</th>
        </tr>
        </thead>
        <tbody>

        @php
            $total_before_tax = 0.00;
            $total_discount_amount = 0;
            $total_purchase_taxes = 0;
            $i=1;
            $total_rows = 0;
        @endphp


        @foreach($purchase->purchase_lines as $purchase_line)
            <tr>
                <td class="blanktotal">{{$i}}</td>
                <td class="blanktotal">
                    {{ $purchase_line->product->name }}
                    @if( $purchase_line->product->type == 'variable')
                        - {{ $purchase_line->variations->product_variation->name}}
                        - {{ $purchase_line->variations->name}}
                    @endif
                </td>
                <td style="text-align: left" class="blanktotal">{{ $purchase_line->quantity }}
                    @if(!empty($purchase_line->sub_unit))
                        {{$purchase_line->sub_unit->short_name}}
                    @else
                        {{$purchase_line->product->unit->short_name}}
                    @endif

                    @if(!empty($purchase_line->product->second_unit) && $purchase_line->secondary_unit_quantity != 0)
                        <br>
                        <span class="display_currency" data-is_quantity="true"
                              data-currency_symbol="false">{{ $purchase_line->secondary_unit_quantity }}</span> {{$purchase_line->product->second_unit->short_name}}
                    @endif

                </td>
                <td class="text-right blanktotal"
                    style="text-align: right">{{ number_format($purchase_line->pp_without_discount)}}</td>



                <td class="text-right blanktotal"
                    style="text-align: right">{{ number_format($purchase_line->item_tax) }}
                    {{--                    <br/><small>@if(!empty($taxes[$purchase_line->tax_id])) ( {{ $taxes[$purchase_line->tax_id]}}) </small>@endif--}}
                </td>
                <td class="text-right blanktotal" style="text-align: right"><span
                            class="display_currency">{{ number_format($purchase_line->purchase_price_inc_tax)}}</span></td>
                <td class="text-right blanktotal" style="text-align: right"><span
                            class="display_currency">{{ number_format($purchase_line->discount_amount)}}</span></td>
                <td class="no-print text-right blanktotal"
                    style="text-align: right">{{ number_format($purchase_line->unit_cost) }}</td>


                <td class="text-right blanktotal"
                    style="text-align: right;border-left: 1px solid #5D6975;border-right: 1px solid #5D6975; border-bottom: 0; ">{{ number_format($purchase_line->unit_cost * $purchase_line->quantity) }}</td>
            </tr>
            @php
                $i++;
                    $total_before_tax += ($purchase_line->quantity * $purchase_line->pp_without_discount);
                    $total_discount_amount += $purchase_line->discount_amount*$purchase_line->quantity;
                    $total_purchase_taxes += $purchase_line->item_tax*$purchase_line->quantity;
            @endphp

        @endforeach
        @for($j=26;$j>=sizeof($purchase->purchase_lines);$j--)

            <tr>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
            </tr>

        @endfor
        </tbody>

        <thead>
        <tr>
            <th style="text-align: right;border: 1px solid #000000;" colspan="6">@lang('purchase.net_total_amount'):
            </th>
            <td style="border: 1px solid #000000; "></td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2"><span
                        class="display_currency pull-right"
                        data-currency_symbol="true">{{ number_format($total_before_tax) }}</span>
            </td>
        </tr>
        <tr>
            <th style="text-align: right;border: 1px solid #000000; " colspan="6">@lang('purchase.discount'):</th>
            <td style="border: 1px solid #000000; ">
                <b>(-)</b>
                {{--                        @if($purchase->discount_type == 'percentage')--}}
                {{--                            ({{$purchase->discount_amount}} %)--}}
                {{--                        @endif--}}
            </td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2">
                <span class="display_currency pull-right"
                      data-currency_symbol="true">{{number_format($total_discount_amount)}}</span>
            </td>
        </tr>
        <tr>
            <th style="text-align: right;border: 1px solid #000000;" colspan="6">@lang('purchase.purchase_tax'):</th>
            <td style="border: 1px solid #000000; "><b>(+)</b></td>
            <td style="text-align: right;border: 1px solid #000000; "
                colspan="2">{{number_format($total_purchase_taxes)}}</td>
        </tr>
        @if( !empty( $purchase->shipping_charges ) )
            <tr>
                <th style="text-align: right;border: 1px solid #000000;"
                    colspan="6">@lang('purchase.additional_shipping_charges'):
                </th>
                <td style="border: 1px solid #000000;"><b>(+)</b></td>
                <td style="border: 1px solid #000000;text-align: right;" colspan="2"><span
                            class="display_currency pull-right">{{ number_format($purchase->shipping_charges) }}</span>
                </td>
            </tr>
        @endif
        <tr>
            <th style="text-align: right;border: 1px solid #000000; " colspan="6">@lang('purchase.purchase_total'):</th>
            <td style="border: 1px solid #000000; "></td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2"><span
                        class="display_currency pull-right"
                        data-currency_symbol="true">{{ number_format($total_before_tax+$total_purchase_taxes+$purchase->shipping_charges-$total_discount_amount) }}</span>
            </td>
        </tr>
        </thead>


    </table>
</div>
<br>


{{--<div class="row">--}}

{{--    <div class="col-md-6 col-sm-12 col-xs-12 @if($purchase->type == 'purchase_order') col-md-offset-6 @endif">--}}
{{--        <div class="table-responsive">--}}
{{--            <table class="table table1">--}}
{{--                <thead>--}}
{{--                <!-- <tr class="hide">--}}
{{--            <th>@lang('purchase.total_before_tax'): </th>--}}
{{--            <td></td>--}}
{{--            <td><span class="display_currency pull-right">{{ $total_before_tax }}</span></td>--}}
{{--          </tr> -->--}}
{{--                <tr>--}}
{{--                    <th style="text-align: right;border: 1px solid #000000;">@lang('purchase.net_total_amount'):</th>--}}
{{--                    <td style="border: 1px solid #000000; "></td>--}}
{{--                    <td style="border: 1px solid #000000;text-align: right; "><span class="display_currency pull-right"--}}
{{--                                                                                    data-currency_symbol="true">{{ number_format($total_before_tax) }}</span>--}}
{{--                    </td>--}}
{{--                </tr>--}}
{{--                <tr>--}}
{{--                    <th style="text-align: right;border: 1px solid #000000; ">@lang('purchase.discount'):</th>--}}
{{--                    <td style="border: 1px solid #000000; ">--}}
{{--                        <b>(-)</b>--}}
{{--                        --}}{{--                        @if($purchase->discount_type == 'percentage')--}}
{{--                        --}}{{--                            ({{$purchase->discount_amount}} %)--}}
{{--                        --}}{{--                        @endif--}}
{{--                    </td>--}}
{{--                    <td style="border: 1px solid #000000;text-align: right; ">--}}
{{--              <span class="display_currency pull-right" data-currency_symbol="true">--}}
{{--                @if($purchase->discount_type == 'percentage')--}}
{{--                      {{number_format($purchase->discount_amount * $total_before_tax / 100)}}--}}
{{--                  @else--}}
{{--                      {{number_format($purchase->discount_amount)}}--}}
{{--                  @endif--}}
{{--              </span>--}}
{{--                    </td>--}}
{{--                </tr>--}}
{{--                <tr>--}}
{{--                    <th style="text-align: right;border: 1px solid #000000;">@lang('purchase.purchase_tax'):</th>--}}
{{--                    <td style="border: 1px solid #000000; "><b>(+)</b></td>--}}
{{--                    <td style="text-align: right;border: 1px solid #000000; ">--}}
{{--                        @if(!empty($purchase_taxes))--}}
{{--                            @foreach($purchase_taxes as $k => $v)--}}
{{--                                <strong><small>{{$k}}</small></strong> - <span class="display_currency pull-right"--}}
{{--                                                                               data-currency_symbol="true">{{ $v }}</span>--}}
{{--                                <br>--}}
{{--                            @endforeach--}}
{{--                        @else--}}
{{--                            0.00--}}
{{--                        @endif--}}
{{--                    </td>--}}
{{--                </tr>--}}
{{--                @if( !empty( $purchase->shipping_charges ) )--}}
{{--                    <tr>--}}
{{--                        <th style="text-align: right;border: 1px solid #000000;">@lang('purchase.additional_shipping_charges')--}}
{{--                            :--}}
{{--                        </th>--}}
{{--                        <td style="border: 1px solid #000000;"><b>(+)</b></td>--}}
{{--                        <td style="border: 1px solid #000000;text-align: right;"><span--}}
{{--                                    class="display_currency pull-right">{{ number_format($purchase->shipping_charges) }}</span>--}}
{{--                        </td>--}}
{{--                    </tr>--}}
{{--                @endif--}}
{{--                <tr>--}}
{{--                    <th style="text-align: right;border: 1px solid #000000; ">@lang('purchase.purchase_total'):</th>--}}
{{--                    <td style="border: 1px solid #000000; "></td>--}}
{{--                    <td style="border: 1px solid #000000;text-align: right; "><span class="display_currency pull-right"--}}
{{--                                                                                    data-currency_symbol="true">{{ number_format($purchase->final_total) }}</span>--}}
{{--                    </td>--}}
{{--                </tr>--}}
{{--                </thead>--}}
{{--            </table>--}}
{{--        </div>--}}
{{--    </div>--}}
{{--</div>--}}
{{--<div class="row">--}}

{{--    <div class="col-sm-6">--}}
{{--        <strong>@lang('purchase.additional_notes'):</strong><br>--}}
{{--        <p class="well well-sm no-shadow bg-gray">--}}
{{--            @if($purchase->additional_notes)--}}
{{--                {{ $purchase->additional_notes }}--}}
{{--            @else--}}
{{--                ----}}
{{--            @endif--}}
{{--        </p>--}}
{{--    </div>--}}
{{--</div>--}}


{{-- Barcode --}}
{{--<div class="row print_section" style="text-align: center">--}}
{{--    <div class="col-xs-12">--}}
{{--        <img class="center-block"--}}
{{--             src="data:image/png;base64,{{DNS2D::getBarcodePNG($purchase->ref_no, 'QRCODE', 3, 3, [39, 48, 54])}}">--}}
{{--    </div>--}}
{{--</div>--}}
</body>
</html>