<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>LPO REPORT</title>
    <link rel="stylesheet" href="<?php echo e(asset('css/checked/bootstrap.min.css'), false); ?>" type="text/css"/>
    <style>
        @page {
            /*sheet-size: A4-L;*/
            /*margin: 1pt 4pt 3pt 4pt;*/
        }

        .clearfix:after {
            content: "";
            display: table;
            clear: both;
        }

        body {
            margin: 0 auto;
            color: #000000;
            background: #FFFFFF;
            font-family: "DejaVu Sans Mono";
            font-size: 11px;
            padding-left: 2%;
            padding-right: 2%;
        }

        body p {
            padding: 5px;
            text-indent: 8px;
            color: #000000;
            font-family: "Times New Roman Georgia";
            font-size: 9px;
        }

        .address strong {
            font-size: 10px;
            color: #bc1f27;
        }

        header {
            padding: 4px 0;
        }

        #logo img {
            width: 100px;
        }

        h1 {
            border-top: 1px solid #5D6975;
            border-bottom: 1px solid #5D6975;
            color: #000000;
            font-size: 1.5em;
            line-height: 16px;
            font-weight: normal;
            text-align: center;
            margin: 0 0 2px 0;
        }

        h4 {
            color: #000000;
            font-size: 12px;
            line-height: 12px;
            font-weight: normal;
            text-align: center;
            margin-bottom: 8px;
        }

        .table1 {
            width: 100%;
            border: 1px solid #000000;
            border-collapse: collapse;
            border-spacing: 0;
            margin-bottom: 4px;
        }

        .table1 td, .table1 th {
            border: 1px solid #000000;
            line-height: 16px;
            padding: 4px 5px;
            font-size: 12px;
        }

        .table1 tr th {
            background-color: #c3c3c3;
            font-size: 12px;
        }

        .table1 td {
            font-size: 10px;
        }

        .table1 tfoot tr {
            background: #d4d4d4;
            /*border: 1px solid #000000;*/
        }

        table tfoot tr:first-child td {
            border-top: 1px solid #000000;
        }

        /*table thead {*/
        /*border-top: 1px solid #5D6975;*/
        /*border-bottom: 1px solid #5D6975;*/
        /*}*/

        /*th {*/
        /*background-color: #eaeaea;*/
        /*text-align: center;*/
        /*border: 0.1mm solid #000000;*/
        /*font-size: 11px;*/
        /*}*/

        .footer_ {
            position: fixed;
            left: 0px;
            /*padding: 8px 0;*/
            text-align: center;
            bottom: 0px;
            right: 0px;
            height: 20px;
            color: #5D6975;
            width: 100%;
            border-top: 1px solid #C1CED9;
        }

        .table1 td.blanktotal {
            background-color: #FFFFFF;
            /*border: 0mm none #000000;*/
            border-top: 0mm none #000000;;
            border-bottom: 0mm none #000000;;
        }
    </style>
</head>
<body>
<table width="100%" border="0" style="border-collapse: collapse;">
    <tr>
        <td colspan="2" style="border: 0;text-align: center">
            <h3 style="font-size: 24px"><?php echo e($purchase->business->name, false); ?> </h3>
            
            
            
            
            <?php if(!empty($purchase->location->city) || !empty($purchase->location->state) || !empty($purchase->location->country)): ?>
                <?php echo e(implode(',', array_filter([$purchase->location->city, $purchase->location->country])), false); ?><br>
            <?php endif; ?>
            <?php if(!empty($purchase->location->mobile)): ?>
                <?php echo app('translator')->get('contact.mobile'); ?>: <?php echo e($purchase->location->mobile, false); ?>, <?php echo app('translator')->get('business.email'); ?>
                : <?php echo e($purchase->location->email, false); ?><br>
            <?php endif; ?>
            <?php if(!empty($purchase->business->tax_number_1)): ?>
                <?php echo e($purchase->business->tax_label_1, false); ?>: <?php echo e($purchase->business->tax_number_1, false); ?>,
            <?php endif; ?>
            <?php if(!empty($purchase->business->tax_number_2)): ?>
                <?php echo e($purchase->business->tax_label_2, false); ?>: <?php echo e($purchase->business->tax_number_2, false); ?> <br>
            <?php endif; ?>
        </td>
    </tr>
</table>

<header class="clearfix" style="padding-left: 30px;padding-right: 10px;">
    <h1 style="font-size: 18px;padding: 10px;">PURCHASE ORDER</h1>
</header>

<div>
    <table style="width:100%; margin-top: 10px;font-size: 14px">
        <tr>
            <td style="width: 65%;border-right: 1px dotted #000">
                <table style="width: 100%;font-family: Arial;">
                    <tr>
                        <td style=" border-right: 1px solid #000000;border-bottom: 1px solid #000000;
                        border-top: 1px solid #000000; font-weight: bold;">
                            Vendor
                        </td>
                        <td colspan="2" style="border-top: 1px solid #000000;"></td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <tr>
                        <td style="width: 15%;">Name</td>
                        <td style="border-bottom: 1px solid #000;width: 84%;font-weight: bold"><?php echo $purchase->contact->supplier_business_name; ?></td>
                        <td style="width: 1%;"></td>
                    </tr>
                    <tr>
                        <td>Address</td>
                        <td style="border-bottom: 1px solid #000;font-size: 10px"
                            rowspan="3"><?php echo $purchase->contact->contact_address; ?></td>
                        <td style="width: 1%;" rowspan="3"></td>
                    </tr>
                    <tr>
                        <td></td>
                    </tr>
                    <tr>
                        <td></td>
                    </tr>
                    <tr>
                        <td>TIN</td>
                        <td style="border-bottom: 1px solid #000;font-size: 10px"><?php echo $purchase->contact->tax_number; ?></td>
                        <td style="width: 1%;"></td>
                    </tr>
                    
                    
                    
                    
                    
                </table>
            </td>
            <td style="width: 35%;">
                <table style="width: 95%;font-family: Arial;border: 1px dotted #000;margin: 2%">
                    <tr>
                        <td>LPO :</td>
                        <td><?php echo e($purchase->ref_no, false); ?>)</td>
                    </tr>

                    <tr>
                        <td>LPO DATE:</td>
                        <td><?php echo e(\Carbon::createFromTimestamp(strtotime($purchase->transaction_date))->format(session('business.date_format')), false); ?></td>
                    </tr>

                    <tr>
                        <td>REQ :</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>REQ DATE:</td>
                        <td></td>
                    </tr>

                </table>
            </td>
        </tr>
    </table>

    <br>
    <table class="table1">
        <thead>
        <tr>
            <th style="width: 3%">S/N</th>
            <th style="width: 20%">ITEM DESCRIPTION</th>
            <th style="border-left: 1px solid #5D6975;border-right: 1px solid #5D6975;width: 8% ">QUANTITY</th>
            <th style="width: 8%">PRICE</th>
            <th class="" style="width: 10%">TAX</th>
            <th class="no-print" style="width: 10%">UNIT COST <br> before Disc.</th>

            <th class="" style="width: 10%">DISCOUNT</th>

            <th class="no-print" style="width: 10%">UNIT COST</th>
            
            <th style="border-left: 1px solid #5D6975;border-right: 1px solid #5D6975;width: 10% ">SUBTOTAL</th>
        </tr>
        </thead>
        <tbody>

        <?php
            $total_before_tax = 0.00;
            $total_discount_amount = 0;
            $total_purchase_taxes = 0;
            $i=1;
            $total_rows = 0;
        ?>


        <?php $__currentLoopData = $purchase->purchase_lines; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchase_line): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td class="blanktotal"><?php echo e($i, false); ?></td>
                <td class="blanktotal">
                    <?php echo e($purchase_line->product->name, false); ?>

                    <?php if( $purchase_line->product->type == 'variable'): ?>
                        - <?php echo e($purchase_line->variations->product_variation->name, false); ?>

                        - <?php echo e($purchase_line->variations->name, false); ?>

                    <?php endif; ?>
                </td>
                <td style="text-align: left" class="blanktotal"><?php echo e($purchase_line->quantity, false); ?>

                    <?php if(!empty($purchase_line->sub_unit)): ?>
                        <?php echo e($purchase_line->sub_unit->short_name, false); ?>

                    <?php else: ?>
                        <?php echo e($purchase_line->product->unit->short_name, false); ?>

                    <?php endif; ?>

                    <?php if(!empty($purchase_line->product->second_unit) && $purchase_line->secondary_unit_quantity != 0): ?>
                        <br>
                        <span class="display_currency" data-is_quantity="true"
                              data-currency_symbol="false"><?php echo e($purchase_line->secondary_unit_quantity, false); ?></span> <?php echo e($purchase_line->product->second_unit->short_name, false); ?>

                    <?php endif; ?>

                </td>
                <td class="text-right blanktotal"
                    style="text-align: right"><?php echo e(number_format($purchase_line->pp_without_discount), false); ?></td>



                <td class="text-right blanktotal"
                    style="text-align: right"><?php echo e(number_format($purchase_line->item_tax), false); ?>

                    
                </td>
                <td class="text-right blanktotal" style="text-align: right"><span
                            class="display_currency"><?php echo e(number_format($purchase_line->purchase_price_inc_tax), false); ?></span></td>
                <td class="text-right blanktotal" style="text-align: right"><span
                            class="display_currency"><?php echo e(number_format($purchase_line->discount_amount), false); ?></span></td>
                <td class="no-print text-right blanktotal"
                    style="text-align: right"><?php echo e(number_format($purchase_line->unit_cost), false); ?></td>


                <td class="text-right blanktotal"
                    style="text-align: right;border-left: 1px solid #5D6975;border-right: 1px solid #5D6975; border-bottom: 0; "><?php echo e(number_format($purchase_line->unit_cost * $purchase_line->quantity), false); ?></td>
            </tr>
            <?php
                $i++;
                    $total_before_tax += ($purchase_line->quantity * $purchase_line->pp_without_discount);
                    $total_discount_amount += $purchase_line->discount_amount*$purchase_line->quantity;
                    $total_purchase_taxes += $purchase_line->item_tax*$purchase_line->quantity;
            ?>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php for($j=26;$j>=sizeof($purchase->purchase_lines);$j--): ?>

            <tr>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
                <td class="blanktotal"></td>
            </tr>

        <?php endfor; ?>
        </tbody>

        <thead>
        <tr>
            <th style="text-align: right;border: 1px solid #000000;" colspan="6"><?php echo app('translator')->get('purchase.net_total_amount'); ?>:
            </th>
            <td style="border: 1px solid #000000; "></td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2"><span
                        class="display_currency pull-right"
                        data-currency_symbol="true"><?php echo e(number_format($total_before_tax), false); ?></span>
            </td>
        </tr>
        <tr>
            <th style="text-align: right;border: 1px solid #000000; " colspan="6"><?php echo app('translator')->get('purchase.discount'); ?>:</th>
            <td style="border: 1px solid #000000; ">
                <b>(-)</b>
                
                
                
            </td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2">
                <span class="display_currency pull-right"
                      data-currency_symbol="true"><?php echo e(number_format($total_discount_amount), false); ?></span>
            </td>
        </tr>
        <tr>
            <th style="text-align: right;border: 1px solid #000000;" colspan="6"><?php echo app('translator')->get('purchase.purchase_tax'); ?>:</th>
            <td style="border: 1px solid #000000; "><b>(+)</b></td>
            <td style="text-align: right;border: 1px solid #000000; "
                colspan="2"><?php echo e(number_format($total_purchase_taxes), false); ?></td>
        </tr>
        <?php if( !empty( $purchase->shipping_charges ) ): ?>
            <tr>
                <th style="text-align: right;border: 1px solid #000000;"
                    colspan="6"><?php echo app('translator')->get('purchase.additional_shipping_charges'); ?>:
                </th>
                <td style="border: 1px solid #000000;"><b>(+)</b></td>
                <td style="border: 1px solid #000000;text-align: right;" colspan="2"><span
                            class="display_currency pull-right"><?php echo e(number_format($purchase->shipping_charges), false); ?></span>
                </td>
            </tr>
        <?php endif; ?>
        <tr>
            <th style="text-align: right;border: 1px solid #000000; " colspan="6"><?php echo app('translator')->get('purchase.purchase_total'); ?>:</th>
            <td style="border: 1px solid #000000; "></td>
            <td style="border: 1px solid #000000;text-align: right; " colspan="2"><span
                        class="display_currency pull-right"
                        data-currency_symbol="true"><?php echo e(number_format($total_before_tax+$total_purchase_taxes+$purchase->shipping_charges-$total_discount_amount), false); ?></span>
            </td>
        </tr>
        </thead>


    </table>
</div>
<br>


































































































</body>
</html><?php /**PATH /home/iosuiteadmin/public_html/pos/resources/views/purchase/partials/purchase_orders.blade.php ENDPATH**/ ?>